Subject: [PATCH 3/4] [v6] pinctrl: qcom: disable GPIO groups with no pins

From: [email-masked] (Stephen Boyd)
Date: Fri, 17 Nov 2017 13:42:07 -0800

On 11/17, Timur Tabi wrote:
> On 11/17/2017 11:46 AM, Stephen Boyd wrote:
> >On 11/16, Timur Tabi wrote:
> >>On 11/16/17 8:43 PM, Stephen Boyd wrote:
> >>>>Most access to unavailable GPIOs can be blocked via the gpio_chip.request
> >>>>function.  The one exception is when gpiochip_add_data() scans all of
> >>
> >>>If patch 1 is applied is this statement still true?
> >>
> >>Nope.
> >>
> >
> >Ok. So what's the point of this patch then? Put another way, is
> >there some path that doesn't request the gpio still even with
> >patch 1 applied?
> 
> This patch is how the pinctrl-msm driver actually reports the sparse
> GPIO map.
> 
> Patch 1 prevents gpiolib from accessing GPIOs that haven't been
> properly requested.
> 
> Patch 2 adds an infrastructure for sparse GPIO maps
> 
> Patch 3 updates pinctrl-msm to use that expose that new infrastructure
> 
> Patch 4 updates pinctrl-qdf2xxx to work with the new feature in pinctrl-msm
> 

Ok. What path doesn't request the gpio though? If we don't have a
path that fails to request the gpio before using it then I don't
see the need for this patch.

-- 
Qualcomm Innovation Center, Inc. is a member of Code Aurora Forum,
a Linux Foundation Collaborative Project